description

# BackgroundFetchRegistration class Null safety

Inheritance
  - Object
  - EventTarget
  - BackgroundFetchRegistration
Annotations
  - @Native("BackgroundFetchRegistration")

## Properties

downloaded → int?
  read-only
downloadTotal → int?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id → String?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
title → String?
  read-only
totalDownloadSize → int?
  read-only
uploaded → int?
  read-only
uploadTotal → int?
  read-only

## Methods

abort() → Future<bool>
addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited